# Update an entity definition

Updates an entity definition with the details provided.

Endpoint: PUT /api/entitydefinitions/{name}
Version: v1.0
Security: OAuth2.0

## Path parameters:

  - `name` (string, required)
    The name of the entity definition to update, for example, M.Asset.

## Request fields (application/json):

  - `id` (integer)

  - `name` (string,null)

  - `modified_on` (string)

  - `created_on` (string)

  - `display_template` (string,null)

  - `is_taxonomy_item_definition` (boolean)

  - `is_path_enabled_definition` (boolean)

  - `is_manual_sorting_allowed` (boolean)

  - `is_system_owned` (boolean)

  - `is_built_in` (boolean)

  - `labels` (object,null)

  - `member_groups` (array,null)

  - `member_groups.name` (string,null)

  - `member_groups.content_group` (string,null)

  - `member_groups.labels` (object,null)

  - `member_groups.members` (array,null)

  - `member_groups.members.name` (string,null)

  - `member_groups.members.labels` (object,null)

  - `member_groups.members.helptext` (object,null)

  - `member_groups.members.is_conditional` (boolean)

  - `member_groups.members.conditions` (array,null)

  - `member_groups.members.conditions.member` (string,null)

  - `member_groups.members.can_trigger_conditional_members` (boolean)

  - `member_groups.members.is_system_owned` (boolean)

  - `member_groups.members.is_secured` (boolean,null)

  - `member_groups.members.can_write` (boolean,null)

  - `member_groups.members.allow_updates` (boolean,null)

  - `member_groups.is_system_owned` (boolean)

  - `member_groups.is_conditional` (boolean)

  - `member_groups.conditions` (array,null)

  - `member_groups.is_secured` (boolean,null)

  - `member_groups.can_write` (boolean,null)

  - `entities` (object)
    Represents a link to a resource.

  - `entities.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `entities.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `entities.title` (string,null)
    Gets or sets the title that describes this link.

  - `entities.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `related_paths` (object)
    Represents a link to a resource.

  - `modified_by` (object)
    Represents a link to a resource.

  - `created_by` (object)
    Represents a link to a resource.

  - `permissions` (array,null)
    All available permissions for the entity definition

  - `self` (object)
    Represents a link to a resource.


## Response 200 fields

## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields
